HQ APICredit wallets
List credit wallet ledger entries
Lists ledger entries for a credit wallet with pagination.
GET
/v1/hq/credit_wallets/{wallet_id}/ledgerAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
wallet_id*string
Query Parameters
select?array<string>
expand?array<string>
sort?
pagination?
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/credit_wallets/string/ledger"[
{
"id": "string",
"wallet": "string",
"company": "string",
"amount": 0,
"balance": 0,
"description": "string",
"source": "custom",
"source_id": "string",
"created_at": "2019-08-24T14:15:22Z"
}
]Empty
Empty
Empty